Skip to content

Send a test message to a Discord endpoint

POST
/v1/discord-endpoints/{id}/send-test
curl --request POST \
--url https://your-notavia-host/v1/discord-endpoints/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/send-test \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid

Test notification accepted.

Media type application/json
object
notification_id
required
string format: uuid
Example generated
{
"notification_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Missing or invalid credentials.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Credentials do not have the required scope.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Resource not found.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}